# Handiv Ruby

A Ruby client which communicate with Handiv server.

## Getting Started

### Install

Add this line to your application's Gemfile:

```ruby
gem 'handiv'
```

## Usage

```ruby
Handiv.configure do |config|
  config.organization_id = '7b613512d9ca6545d37701efa1f2a0cc58c3b9ba'
end
```

Report about performed task

```ruby
Handiv.report_task('task_id')
```

If you want to send a message about task specify an `message` argument

```ruby
Handiv.report_task('task_id', message: 'Successfully fetched 2 records')
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
