# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'handiv/version'

Gem::Specification.new do |spec|
  spec.name          = 'handiv'
  spec.version       = Handiv::VERSION
  spec.authors       = ['Justas Palumickas']
  spec.email         = ['support@handiv.com']

  spec.summary       = 'A gem that provides a client interface for Handiv'
  spec.description   = spec.summary
  spec.homepage      = 'https://github.com/handiv/handiv-ruby'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
    .reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '>= 0.7.6'
  spec.add_dependency 'faraday_middleware', '~> 0.10.0'

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
